[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIDEAEncryptStream.Destroy

Flush data buffers and free the stream instance.

## Declaration

Source position: idea.pp line 96

`public destructor TIDEAEncryptStream.Destroy; override;`

## Description

Destroy flushes any data still remaining in the internal encryption buffer, and then calls the inherited Destroy

By default, the destination stream is not freed when the encryption stream is freed.

## Errors

None.

## See also

TIDEAStream.Create |  | Creates a new instance of the TIDEAStream class

Documentation generated on: Feb 26 2014